import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.literal(true).optional(),
  patientId: z.literal(true).optional(),
  appointmentId: z.literal(true).optional(),
  userId: z.literal(true).optional(),
  staffId: z.literal(true).optional(),
  npiProviderId: z.literal(true).optional()
}).strict();
export const ClaimAvgAggregateInputObjectSchema: z.ZodType<Prisma.ClaimAvgAggregateInputType> = makeSchema() as unknown as z.ZodType<Prisma.ClaimAvgAggregateInputType>;
export const ClaimAvgAggregateInputObjectZodSchema = makeSchema();
